package cn.pluss.platform.bestNewActivity;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.BestNewActivity;
import com.baomidou.mybatisplus.extension.service.IService;

public interface BestNewActivityService extends IService<BestNewActivity> {

    BestNewActivity queryBestNewActivity(BestNewActivity bestNewActivity);

    List<BestNewActivity> queryBestNewActivityList(BestNewActivity bestNewActivity);

    void saveBestNewActivity(BestNewActivity bestNewActivity);

    void updateBestNewActivity(BestNewActivity bestNewActivity);

    void deleteBestNewActivity(BestNewActivity bestNewActivity);

    List<BestNewActivity> queryBestNewActivityPage(Map map);

    Integer queryBestNewActivityPageCount(Map map);

}

